// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : DemandLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-27 17:06:45
 *
 ******************************************************************************/
var DemandLst_PlantNr = grmi.NewField("PlantNr", "OM_DemandGaasGFrame.PlantNr", "plantnr", grmi.TypeInt)
var DemandLst_FileNr = grmi.NewField("FileNr", "OM_DemandGaasGFrame.FileNr", "filenr", grmi.TypeInt)
var DemandLst_Pos = grmi.NewField("Pos", "OM_DemandGaasGFrame.Pos", "pos", grmi.TypeInt)
var DemandLst_TaskNr = grmi.NewField("TaskNr", "OM_DemandGaasGFrame.TaskNr", "tasknr", grmi.TypeInt)
var DemandLst_DemandNr = grmi.NewField("DemandNr", "OM_DemandGaasGFrame.DemandNr", "demandnr", grmi.TypeInt)
var DemandLst_BarCode = grmi.NewField("BarCode", "OM_DemandGaasGFrame.BarCode", "barcode", grmi.TypeString)
var DemandLst_BarCodeDesc = grmi.NewField("BarCodeDesc", "OM_DemandGaasGFrame.BarCodeDesc", "barcodedesc", grmi.TypeString)
var DemandLst_PartCode = grmi.NewField("PartCode", "OM_DemandGaasGFrame.PartCode", "partcode", grmi.TypeString)
var DemandLst_PlanDttm = grmi.NewField("PlanDttm", "OM_DemandGaasGFrame.PlanDttm", "plandttm", grmi.TypeDateTime)
var DemandLst_Class1 = grmi.NewField("Class1", "OM_DemandGaasGFrame.Class1", "class1", grmi.TypeInt)
var DemandLst_ConfigDesc = grmi.NewField("ConfigDesc", "OM_DemandGaasGFrame.ConfigDesc", "configdesc", grmi.TypeString)
var DemandLst_ConfigKey = grmi.NewField("ConfigKey", "OM_DemandGaasGFrame.ConfigKey", "configkey", grmi.TypeString)
var DemandLst_Seq = grmi.NewField("Seq", "OM_DemandGaasGFrame.Seq", "seq", grmi.TypeInt)
var DemandLst_State = grmi.NewField("State", "OM_DemandGaasGFrame.State", "state", grmi.TypeInt)
var DemandLst_StateName = grmi.NewField("StateName", "OM_DemandGaasGFrame.StateName", "statename", grmi.TypeString)
var DemandLst_Station = grmi.NewField("Station", "OM_DemandGaasGFrame.Station", "station", grmi.TypeInt)
var DemandLst_StationCode = grmi.NewField("StationCode", "OM_DemandGaasGFrame.StationCode", "stationcode", grmi.TypeString)
var DemandLst_StationDesc = grmi.NewField("StationDesc", "OM_DemandGaasGFrame.StationDesc", "stationdesc", grmi.TypeString)
var DemandLst_DemandCreateTime = grmi.NewField("DemandCreateTime", "OM_DemandGaasGFrame.DemandCreateTime", "demandcreatetime", grmi.TypeDateTime)
var DemandLst_IsRefreshToggle = grmi.NewField("IsRefreshToggle", "OM_DemandGaasGFrame.IsRefreshToggle", "isrefreshtoggle", grmi.TypeBool)
var DemandLst_Serial = grmi.NewField("Serial", "OM_DemandGaasGFrame.Serial", "serial", grmi.TypeString)
var DemandLst_CustomId = grmi.NewField("CustomId", "OM_DemandGaasGFrame.CustomId", "customid", grmi.TypeString)
var DemandLst_LogTime = grmi.NewField("LogTime", "OM_DemandGaasGFrame.LogTime", "logtime", grmi.TypeDateTime)
var DemandLst_CodeBar = grmi.NewField("CodeBar", "OM_DemandGaasGFrame.CodeBar", "codebar", grmi.TypeString)
var DemandLst_Memo = grmi.NewField("Memo", "OM_DemandGaasGFrame.Memo", "memo", grmi.TypeString)
var DemandLst_LastModify = grmi.NewField("LastModify", "OM_DemandGaasGFrame.LastModify", "lastmodify", grmi.TypeDateTime)
var DemandLst_LastUser = grmi.NewField("LastUser", "OM_DemandGaasGFrame.LastUser", "lastuser", grmi.TypeString)
var DemandLst_CreateTime = grmi.NewField("CreateTime", "OM_DemandGaasGFrame.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : DemandLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-27 17:06:45
 *
 ******************************************************************************/
var DemandLst = grmi.NewEntity(
	"OM_DemandGaasGFrame",
	func() interface{} { return &model.DemandLst{} },
	map[string]grmi.Field{
		DemandLst_PlantNr.Name:          DemandLst_PlantNr,
		DemandLst_FileNr.Name:           DemandLst_FileNr,
		DemandLst_Pos.Name:              DemandLst_Pos,
		DemandLst_TaskNr.Name:           DemandLst_TaskNr,
		DemandLst_DemandNr.Name:         DemandLst_DemandNr,
		DemandLst_BarCode.Name:          DemandLst_BarCode,
		DemandLst_BarCodeDesc.Name:      DemandLst_BarCodeDesc,
		DemandLst_PartCode.Name:         DemandLst_PartCode,
		DemandLst_PlanDttm.Name:         DemandLst_PlanDttm,
		DemandLst_Class1.Name:           DemandLst_Class1,
		DemandLst_ConfigDesc.Name:       DemandLst_ConfigDesc,
		DemandLst_ConfigKey.Name:        DemandLst_ConfigKey,
		DemandLst_Seq.Name:              DemandLst_Seq,
		DemandLst_State.Name:            DemandLst_State,
		DemandLst_StateName.Name:        DemandLst_StateName,
		DemandLst_Station.Name:          DemandLst_Station,
		DemandLst_StationCode.Name:      DemandLst_StationCode,
		DemandLst_StationDesc.Name:      DemandLst_StationDesc,
		DemandLst_DemandCreateTime.Name: DemandLst_DemandCreateTime,
		DemandLst_IsRefreshToggle.Name:  DemandLst_IsRefreshToggle,
		DemandLst_Serial.Name:           DemandLst_Serial,
		DemandLst_CustomId.Name:         DemandLst_CustomId,
		DemandLst_LogTime.Name:          DemandLst_LogTime,
		DemandLst_CodeBar.Name:          DemandLst_CodeBar,
		DemandLst_Memo.Name:             DemandLst_Memo,
		DemandLst_LastModify.Name:       DemandLst_LastModify,
		DemandLst_LastUser.Name:         DemandLst_LastUser,
		DemandLst_CreateTime.Name:       DemandLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"DemandNr", "BarCode", "BarCodeDesc", "PartCode", "PlanDttm", "Class1", "ConfigDesc", "ConfigKey", "Seq", "State", "StateName", "Station", "StationCode", "StationDesc", "DemandCreateTime", "IsRefreshToggle", "Serial", "CustomId", "LogTime", "CodeBar", "Memo", "LastUser"})
